Bug 504077 - Review Request: gnusim8085 - Intel 8085 assembly language simulator
Review Request: gnusim8085 - Intel 8085 assembly language simulator
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Chitlesh GOORAH
Fedora Extras Quality Assurance
http://sourceforge.net/projects/gnusi...
:
: 503800 (view as bug list)
Depends On: 505080
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-03 23:55 EDT by Rangeen Basu Roy Chowdhury
Modified: 2009-12-03 11:37 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-18 16:51:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
chitlesh: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Rangeen Basu Roy Chowdhury 2009-06-03 23:55:20 EDT
http://sherry151.fedorapeople.org/gnusim8085.spec: Release 2 spec file
http://sherry151.fedorapeople.org/gnusim8085-1.3.5-2.fc10.src.rpm: Release 2
SRPM
Description: This is a graphical simulator for intel 8085 assembly language
programs and has some nice features. This is my first package and I am looking for a sponsor.
Comment 1 Parag AN(पराग) 2009-06-04 00:01:14 EDT
*** Bug 503800 has been marked as a duplicate of this bug. ***
Comment 2 Parag AN(पराग) 2009-06-04 00:05:13 EDT
can you please follow new package submission process given at http://fedoraproject.org/wiki/Package_Review_Process#Contributor
Comment 3 Rangeen Basu Roy Chowdhury 2009-06-04 00:37:03 EDT
I did follow the guidelines given in the wiki page and closed the previous request and added a new one with FE-NEEDSPONSOR in the "blocks"and "first package" in the description field.
Comment 4 Chitlesh GOORAH 2009-06-04 04:24:10 EDT
For record only, Discussions around this package review was started on
https://fedorahosted.org/fedora-electronic-lab/ticket/22. Now it will be carried out here.

FYI, there is somewhat equivalent simulator for 8085 maintained by Fabian Affolter. http://gsim85.sourceforge.net/

I'll do the review and eventually sponsor you.
Comment 5 Chitlesh GOORAH 2009-06-06 15:24:08 EDT
#1: can you give me your FAS username please ?
and apply for the packager status at
https://admin.fedoraproject.org/accounts/group/view/packager

#2 add %{?_smp_mflags} to your make in the %build section

#3: wrong URL

Correct the URL to:
http://gnusim8085.sourceforge.net/

#4: Preserve timestamps
make INSTALL="install -p" DESTDIR=%{buildroot} install

#5: docs
%doc %{_datadir}/doc/gnusim8085/ should rather be :

%doc  ABOUT-NLS AUTHORS ChangeLog COPYING NEWS README TODO
%doc  doc/examples/ doc/asm-guide.txt

Add the following line at the end of the %install
rm -rf %{buildroot}%{_docdir}


#6: Summary should be clear: "A 8085 Simulator"

#7: %description missing fullstop.

#8: License is GPL version 2 only : GPLv2
Comment 6 Chitlesh GOORAH 2009-06-06 15:27:42 EDT
#9: file doc/gnusim8085.1 should be copied to mandir at the end of the %install section
cp -p doc/gnusim8085.1 %{buildroot}%{_mandir}/man1/%{name}.1
Comment 7 Rangeen Basu Roy Chowdhury 2009-06-07 02:28:02 EDT
(In reply to comment #5)
> #1: can you give me your FAS username please ?

FAS username is sherry151

> and apply for the packager status at
> https://admin.fedoraproject.org/accounts/group/view/packager

done 

> Add the following line at the end of the %install
> rm -rf %{buildroot}%{_docdir}

Can I not put this in the %clean section?
  

I made the suggested changes to the spec file and also some other changes necessary. 

#1 mkdir -p %{buildroot}%{_mandir}/man1 was necessary for building successfully

#2 %{_mandir}/man1/%{name}.1.gz  for packaging the man file

http://sherry151.fedorapeople.org/gnusim8085.spec: Release 3 spec file
http://sherry151.fedorapeople.org/gnusim8085-1.3.5-3.fc10.src.rpm: Release 3
SRPM
Comment 8 Chitlesh GOORAH 2009-06-07 04:50:08 EDT
#1: some typos in the description : stac and microproessor

I think the description should be:

GNUSim8085 is a graphical simulator for Intel 8085
microprocessor assembly language. It has many
features including a keypad which can be used
to write assembly language programs.
It also has stack, memory and port viewers which
can be used for debugging the programs.

#2: directory ownership
in %files
%{_datadir}/pixmaps/gnusim8085/gnusim8085_icon.png

the directory %{_datadir}/pixmaps/gnusim8085/ should be owned by the package.

Hence
%{_datadir}/pixmaps/gnusim8085/gnusim8085_icon.png
should be
%{_datadir}/pixmaps/gnusim8085/

#3:
The package is ready. I have sponsored you.

Update the spec file and SRPM. I'll complete the review.
Comment 9 Rangeen Basu Roy Chowdhury 2009-06-07 10:25:55 EDT
Updated the spec file and srpm. Following are the urls:

http://sherry151.fedorapeople.org/gnusim8085.spec: Release 4 spec file

http://sherry151.fedorapeople.org/gnusim8085-1.3.5-4.fc10.src.rpm: Release 4
SRPM  

I will be waiting for review completion.

Thanks
Rangeen Basu
Comment 10 Chitlesh GOORAH 2009-06-07 12:47:37 EDT
- MUST: The package is named according to the Package Naming Guidelines.
- MUST: The spec file name matches the base package %{name}
- MUST: The package meets the Packaging Guidelines.
- MUST: The package is licensed (GPL) with an open-source compatible license and
meet other legal requirements as defined in the legal section of Packaging
Guidelines.
- MUST: The License field in the package spec file matches the actual license.
- MUST: the source package includes the text of the license(s) in its own file,
then that file, containing the text of the license(s) for the package is
included in %doc.
- MUST: The spec file must be written in American English.
- MUST: The spec file for the package is be legible. 
- MUST: The sources used to build the package must matches the upstream source,
as provided in the spec URL.
- MUST: The package successfully compiles and builds into binary rpms on at
least i386.
- MUST: All build dependencies is listed in BuildRequires.
- MUST: The spec file handles locales properly.
- MUST: If the package does not contain shared library files located in the
dynamic linker's default paths
- MUST: the package is not designed to be relocatable
- MUST: the package owns all directories that it creates.
- MUST: the package does not contain any duplicate files in the %files listing.
- MUST: Permissions on files are set properly.
- MUST: The package has a %clean section, which contains rm -rf %{buildroot} (or
$RPM_BUILD_ROOT).
- MUST: The package consistently uses macros, as described in the macros section
of Packaging Guidelines.
- MUST: The package contains code, or permissable content. This is described in
detail in the code vs. content section of Packaging Guidelines.
- MUST: There are no Large documentation files
- MUST: %doc does not affect the runtime of the application. To summarize: If it
is in %doc, the program must run properly if it is not present.
- MUST: There are no Header files or static libraries 
- MUST: The package does not contain library files with a suffix 
- MUST: Package does NOT contain any .la libtool archives
- MUST: Package containing GUI applications includes a %{name}.desktop file, and
that file must be properly installed with desktop-file-install in the %install
section.
- MUST: Package does not own files or directories already owned by other packages. 

SHOULD Items:

 - SHOULD: The source package does include license text(s) as COPYING
 - SHOULD: mock builds succcessfully in i386.
 - SHOULD: The reviewer tested that the package functions as described. A
package should not segfault instead of running, for example.
 - SHOULD: No scriptlets were used, those scriptlets must be sane. 
 - SHOULD: No subpackages present.

APPROVED
Comment 11 Chitlesh GOORAH 2009-06-07 12:50:54 EDT
Read how to request CVS access
https://fedorahosted.org/fedora-electronic-lab/ticket/19#comment:8

Also apply for the EL-5 branch and add me into the owners :)
Comment 12 Rangeen Basu Roy Chowdhury 2009-06-08 05:38:17 EDT
New Package CVS Request
=======================
Package Name: gnusim8085
Short Description: A graphical simulator for Intel 8085 microprocessor
Owners: sherry151 chitlesh
Branches: F-10 F-11 EL-5
Comment 13 Jason Tibbitts 2009-06-08 12:32:45 EDT
CVS done.
Comment 14 Dan Horák 2009-12-03 11:37:39 EST
FYI - the recent build uses completely wrong version-release info - gnusim8085-svn.141-5.fc13

Note You need to log in before you can comment on or make changes to this bug.